{% extends 'company_location_management/matching/matching.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('company_location_management/matching/looking_for_property_request_overview') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('company_location_management/matching/looking_for_property_request_overview') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <span class="text-primary fs-5 align-self-center">Ansiedlungsgesuche zum Matching <span class="text-secondary">({{ lookingForPropertyRequests|length }})</span></span>
        <button class="mdc-button mdc-button--leading ms-auto" data-coreui-toggle="collapse" data-coreui-target="#looking_for_property_request_filter" aria-expanded="false" aria-controls="looking_for_property_request_filter">
            <span class="mdc-button__ripple"></span>
            <i class="material-icons mdc-button__icon" aria-hidden="true">filter_alt</i>
            <span class="mdc-button__label d-none d-md-block">Filter</span>
            {% if lookingForPropertyRequestFilter.isFilterActive() == true %}
                <span class="position-absolute top-0 start-100 translate-middle p-1 bg-success border border-light rounded-circle">
                    <span class="visually-hidden">Filter aktiv</span>
                </span>
            {% endif %}
        </button>
        <button class="mdc-button mdc-button--leading ms-auto" data-coreui-toggle="collapse" data-coreui-target="#looking_for_property_request_search" aria-expanded="false" aria-controls="looking_for_property_request_search">
            <span class="mdc-button__ripple"></span>
            <i class="material-icons mdc-button__icon" aria-hidden="true">search</i>
            <span class="mdc-button__label d-none d-md-block">Suche</span>
            {% if lookingForPropertyRequestSearchForm.vars.data.getText() != null %}
                <span class="position-absolute top-0 start-100 translate-middle p-1 bg-success border border-light rounded-circle">
                    <span class="visually-hidden">Suche aktiv</span>
                </span>
            {% endif %}
        </button>
        {% if is_granted('ROLE_USER') == true %}
            <a href="{{ path('company_location_management_matching_looking_for_property_request_matching_task_create') }}" class="mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center">
                <i class="material-icons me-3">cached</i>
                <span class="mdc-button__label">Matching starten</span>
            </a>
        {% endif %}
    </div>
    <div class="collapse bg-white" id="looking_for_property_request_search">
        <div class="p-4">
            {{ form_start(lookingForPropertyRequestSearchForm) }}
            <div class="row mb-4">
                <div class="col-md-9">
                    {% include 'component/mdc_search_field_component.html.twig' with {
                        'id': lookingForPropertyRequestSearchForm.text.vars.id ~ '_mdc_text_field',
                        'labelId': lookingForPropertyRequestSearchForm.text.vars.id ~ '_label',
                        'label': lookingForPropertyRequestSearchForm.text.vars.label,
                        'type': 'text',
                        'name': lookingForPropertyRequestSearchForm.text.vars.full_name,
                        'value': lookingForPropertyRequestSearchForm.text.vars.value,
                        'disabled': lookingForPropertyRequestSearchForm.text.vars.disabled,
                        'required': lookingForPropertyRequestSearchForm.text.vars.required,
                        'suffix': null,
                    } only %}
                </div>
                <div class="col-md-3 mt-2">
                    {{ form_widget(lookingForPropertyRequestSearchForm.search, {'label': 'suchen', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto'}}) }}
                </div>
            </div>
            {{ form_row(lookingForPropertyRequestSearchForm._token) }}
            {{ form_end(lookingForPropertyRequestSearchForm, {'render_rest': false}) }}
        </div>
    </div>
    <div class="collapse bg-white" id="looking_for_property_request_filter">
        <div class="p-4">
            {{ form_start(lookingForPropertyRequestFilterForm) }}
            {% include 'company_location_management/form/looking_for_property_request/looking_for_property_request_filter_form.html.twig' with {'form': lookingForPropertyRequestFilterForm} only %}
            {{ form_widget(lookingForPropertyRequestFilterForm.apply, {'label': 'Übernehmen', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading'}}) }}
            {{ form_widget(lookingForPropertyRequestFilterForm.reset, {'attr': {'class': 'mdc-button mdc-button--leading ps-3'}}) }}
            {{ form_row(lookingForPropertyRequestFilterForm._token) }}
            {{ form_end(lookingForPropertyRequestFilterForm, {'render_rest': false}) }}
        </div>
    </div>
{% endblock %}

{% block main %}
    <div class="container-fluid mt-4">
        {% if activeMatchingTasks == true %}
            <div class="mdc-card mb-4 p-4 text-center text-warning">
                <p class="mb-0">
                    <span class="spinner-border spinner-border-sm text-warning me-1" role="status">
                        <span class="visually-hidden">Loading...</span>
                    </span>
                    <span>Derzeit läuft ein Matching-Prozess. Die Anzahl der gefundenen Treffer kann sich in diesem Zeitraum noch verändern. Bitte besuchen Sie die Seite in einigen Minuten erneut.</span>
                </p>
            </div>
        {% endif %}

        {% set noEntriesText = 'Leider stehen aktuell keine aktiven Gesuche zur Verfügung' %}

        {% if lookingForPropertyRequestSearchForm.vars.data.getText() != null %}
            {% set noEntriesText = noEntriesText ~ ', die Ihren Suchkriterien entsprechen' %}
        {% elseif lookingForPropertyRequestFilter.isFilterActive() %}
            {% set noEntriesText = noEntriesText ~ ', die Ihren Filterkriterien entsprechen' %}
        {% endif %}

        <div class="mdc-card mb-4">
            {% include 'company_location_management/component/matching/looking_for_property_request_list_component.html.twig' with {
                'idPrefix': 'looking_for_property_request_',
                'listItems': lookingForPropertyRequests,
                'showActionButton': false,
                'massOperation': false,
                'pagination': true,
                'sortable': true,
                'noEntriesText': noEntriesText
            } only %}
        </div>
    </div>
{% endblock %}
